Subject: Re: [Newbie] How to *actually* get rid of remote tracking branch?

From: Sergei Organov <[email-masked]>
Date: Tue, 13 Nov 2007 21:44:11 +0300

Johannes Schindelin <[email-masked]> writes:

> Hi,
>
> On Tue, 13 Nov 2007, Sergei Organov wrote:
>
>> Sorry, but *I* didn't *explicitly* fetch it _again_!
>> 
>> 1. I cloned git.git repo making no custom steps.
>
> Which means that you wanted to track that repository.  Yes, the complete 
> repository.  Not a single branch.  Not all branches except a single one.
>
>> 2. I decided I don't need to track some of branches.
>
> The you should have done that.

I think I did my best to try to do that (basing my attempts on current
git documentation). Isn't it?

> But that is different from "I decided to delete the tracking
> _branch_".

Yes, but the question is *why*? Isn't it an obvious application of
deleting tracking branch? And, as I've already asked in another
sub-thread of this one, what the following example in the man git-branch
is supposed to achieve?:

<quote Documentation/git-branch.txt>
Delete unneeded branch::
+
------------
$ git clone git://git.kernel.org/.../git.git my.git
$ cd my.git
$ git branch -d -r origin/todo origin/html origin/man   <1>
$ git branch -D test                                    <2>
------------
+
<1> Delete remote-tracking branches "todo", "html", "man"
</quote>

Sorry, but I still believe that it's not me who needs fixing.

-- 
Sergei.